path: /build/build/cbindgen-dev-util-0.24.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-util/cbindgen -pv -t && \
    emerge -j ${JOBS} --nodeps dev-util/cbindgen
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/cbindgen && luet-portage --dir /pkgdir/cbindgen
    dev-util/cbindgen && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:718c47ce4b97f900b53b5493435e7fa6647bc912dea23f8139a577df86bc921a
  package:
    name: cbindgen
    version: 0.24.3
    category: dev-util
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A tool for generating C bindings to Rust code
    uri:
    - https://github.com/mozilla/cbindgen
    license: Apache-2.0 Boost-1.0 BSD BSD-2 CC0-1.0 ISC LGPL-3+ MIT MPL-2.0 Apache-2.0
      Unlicense ZLIB
    buildtimestamp: 2023-10-02 16:24:43.121242234 +0000 UTC m=+180.464828825
    labels:
      BDEPEND: '>=virtual/rust-1.37.0'
      IUSE: debug
      emerge.packages: dev-util/cbindgen
      kit: dev-kit
      original.package.name: dev-util/cbindgen
      original.package.slot: "0"
      original.package.version: 0.24.3
    treedir: /build/packages
  package_dir: /pkgdir/cbindgen
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b2c16843c607429af33e7f4c95e087546f106de120ef133cd0818646c6399456
compressiontype: zstd
files:
- usr/bin/cbindgen
- usr/share/doc/cbindgen-0.24.3/CHANGES.bz2
- usr/share/doc/cbindgen-0.24.3/README.md.bz2
- var/db/pkg/dev-util/cbindgen-0.24.3/BDEPEND
- var/db/pkg/dev-util/cbindgen-0.24.3/BUILD_TIME
- var/db/pkg/dev-util/cbindgen-0.24.3/CATEGORY
- var/db/pkg/dev-util/cbindgen-0.24.3/CBUILD
- var/db/pkg/dev-util/cbindgen-0.24.3/CC
- var/db/pkg/dev-util/cbindgen-0.24.3/CFLAGS
- var/db/pkg/dev-util/cbindgen-0.24.3/CHOST
- var/db/pkg/dev-util/cbindgen-0.24.3/CONTENTS
- var/db/pkg/dev-util/cbindgen-0.24.3/COUNTER
- var/db/pkg/dev-util/cbindgen-0.24.3/CXXFLAGS
- var/db/pkg/dev-util/cbindgen-0.24.3/DEFINED_PHASES
- var/db/pkg/dev-util/cbindgen-0.24.3/DESCRIPTION
- var/db/pkg/dev-util/cbindgen-0.24.3/EAPI
- var/db/pkg/dev-util/cbindgen-0.24.3/FEATURES
- var/db/pkg/dev-util/cbindgen-0.24.3/HOMEPAGE
- var/db/pkg/dev-util/cbindgen-0.24.3/INHERITED
- var/db/pkg/dev-util/cbindgen-0.24.3/IUSE
- var/db/pkg/dev-util/cbindgen-0.24.3/IUSE_EFFECTIVE
- var/db/pkg/dev-util/cbindgen-0.24.3/KEYWORDS
- var/db/pkg/dev-util/cbindgen-0.24.3/LDFLAGS
- var/db/pkg/dev-util/cbindgen-0.24.3/LICENSE
- var/db/pkg/dev-util/cbindgen-0.24.3/NEEDED
- var/db/pkg/dev-util/cbindgen-0.24.3/PF
- var/db/pkg/dev-util/cbindgen-0.24.3/REQUIRES
- var/db/pkg/dev-util/cbindgen-0.24.3/SIZE
- var/db/pkg/dev-util/cbindgen-0.24.3/SLOT
- var/db/pkg/dev-util/cbindgen-0.24.3/USE
- var/db/pkg/dev-util/cbindgen-0.24.3/cbindgen-0.24.3.ebuild
- var/db/pkg/dev-util/cbindgen-0.24.3/environment.bz2
- var/db/pkg/dev-util/cbindgen-0.24.3/repository
package_cacheimage: ""
runtime:
  name: cbindgen
  version: 0.24.3
  category: dev-util
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A tool for generating C bindings to Rust code
  uri:
  - https://github.com/mozilla/cbindgen
  license: Apache-2.0 Boost-1.0 BSD BSD-2 CC0-1.0 ISC LGPL-3+ MIT MPL-2.0 Apache-2.0
    Unlicense ZLIB
  labels:
    BDEPEND: '>=virtual/rust-1.37.0'
    IUSE: debug
    emerge.packages: dev-util/cbindgen
    kit: dev-kit
    original.package.name: dev-util/cbindgen
    original.package.slot: "0"
    original.package.version: 0.24.3
